org.apache.calcite.avatica.remote

## Class Service.PrepareResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.PrepareResponse

Enclosing interface:
  Service

    public static class Service.PrepareResponse
    extends Service.Response

Response from `Service.PrepareRequest`.

### Field Summary

Fields
`Service.RpcMetadataResponse` `rpcMetadata`
`Meta.StatementHandle` `statement`

### Constructor Summary

Constructors
Constructor and Description
`PrepareResponse(Meta.StatementHandle statement, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statement

    public final Meta.StatementHandle statement

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### PrepareResponse

    public PrepareResponse(Meta.StatementHandle statement,
                           Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`